Skip to main content
GET
Find a table by name

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

catalog
string
required
Required string length: 1 - 128
namespace
string
required
Required string length: 1 - 512
table
string
required
Required string length: 1 - 256

Response

Successful Response

A table's maintenance health, state, history and effective policy.

table
TableSummaryOut · object
required

One table registration as maintenance sees it.

table_uuid
string
required
location
string
required
first_seen
string
required
last_seen
string
required
metrics
MetricsOut · object[]
required
operations
OpStateOut · object[]
required
orphans
OrphanStateOut · object
required
recent_tasks
TaskOut · object[]
required
effective
EffectivePolicyOut · object
required